Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1031369 - When trying to create a vNicProfile without a network, an invalid error is returned
Summary: When trying to create a vNicProfile without a network, an invalid error is re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.3.0
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Moti Asayag
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-11-17 10:25 UTC by awinter
Modified: 2016-02-10 19:55 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24327 None None None Never

Description awinter 2013-11-17 10:25:57 UTC
Description of problem:
When trying to create a vNicProfile with no network, ovirt-engine returns an error message:
"Error while executing action: User is not authorized to perform this action."

How reproducible:
100%

Steps to Reproduce:
via REST - simply send a POST request with an empty network name/id

Actual results:
"Error while executing action: User is not authorized to perform this action."

Expected results:
"Error while executing action: A network with that name does not exist."

Additional info:

This bug was found in this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1031366

Comment 1 Moti Asayag 2013-11-24 09:30:14 UTC
(In reply to awinter from comment #0)
> Description of problem:
> When trying to create a vNicProfile with no network, ovirt-engine returns an
> error message:
> "Error while executing action: User is not authorized to perform this
> action."
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> via REST - simply send a POST request with an empty network name/id

Please note that according to the rsdl vnic profile must provide a network-id (not network name).

> 
> Actual results:
> "Error while executing action: User is not authorized to perform this
> action."
> 
> Expected results:
> "Error while executing action: A network with that name does not exist."

The expected result if no network exist will be error 404 - entity not found which is the generic error for missing entities queried via rest-api.

> 
> Additional info:
> 
> This bug was found in this bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=1031366

Comment 4 GenadiC 2014-02-17 14:01:39 UTC
Verified in ovirt-engine-3.4.0-0.7.beta2.el6.noarch

Comment 5 Sandro Bonazzola 2014-02-19 12:27:48 UTC
This bug is referenced in ovirt-engine-3.4.0-beta3 logs. Moving to ON_QA

Comment 6 GenadiC 2014-02-23 09:29:24 UTC
Verified in ovirt-engine-3.4.0-0.11.beta3.el6.noarch

Comment 7 Itamar Heim 2014-06-12 14:07:32 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.